import request from '@/utils/request'


export function getProductPlans(query) {
  return request({
    url: '/mes/api/getProductPlans',
    method: 'get',
    params: query
  })
}

export function insertProductPlanDetails(query) {
  return request({
    url: '/mes/api/insertProductPlanDetails',
    method: 'post',
    data: query
  })
}

export function getMaterialBoms(query) {
  return request({
    url: '/mes/api/getMaterialBoms',
    method: 'get',
    params: query
  })
}

export function getWarehouses(query) {
  return request({
    url: '/wms/api/getWarehouses',
    method: 'get',
    params: query
  })
}

export function applyRawOutstock(query) {
  return request({
    url: '/wms/api/applyRawOutstock',
    method: 'post',
    data: query
  })
}



